JarWarResource (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.webresources, class: JarWarResource

# Class JarWarResource

java.lang.Object
org.apache.catalina.webresources.AbstractResource
org.apache.catalina.webresources.AbstractArchiveResource
org.apache.catalina.webresources.JarWarResource

All Implemented Interfaces:
  `WebResource`

public class JarWarResource extends AbstractArchiveResource
Represents a single resource (file or directory) that is located within a JAR that in turn is located in a WAR file.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractArchiveResource

  `AbstractArchiveResource.JarInputStreamWrapper`

- ## Field Summary

  ### Fields inherited from class AbstractResource

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarWarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String archivePath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractArchiveResource.JarInputStreamWrapper`
  `getJarInputStreamWrapper()`
  `protected Log`
  `getLog()`

  ### Methods inherited from class AbstractArchiveResource

  `canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

  ### Methods inherited from class AbstractResource

  `getETag, getInputStream, getLastModifiedHttp, getMimeType, getStrongETag, getWebappPath, getWebResourceRoot, setMimeType`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JarWarResource

    public JarWarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String archivePath)

- ## Method Details

  - ### getJarInputStreamWrapper

    protected AbstractArchiveResource.JarInputStreamWrapper getJarInputStreamWrapper()
    Specified by:
      `getJarInputStreamWrapper` in class `AbstractArchiveResource`

  - ### getLog

    protected Log getLog()
    Specified by:
      `getLog` in class `AbstractResource`